Subject: bug#25689: closed (Re: bug#25689: gnome-shell segfaults)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Sep 2020 04:47:02 +0000

Your bug report

#25689: gnome-shell segfaults

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25689: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25689
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25689: gnome-shell segfaults
From: Maxim Cournoyer <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: Catonano <[email-masked]>, ng0 <[email-masked]>, [email-masked]
Date: Sat, 19 Sep 2020 00:47:48 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[email-masked] (Ludovic Courtès) writes:

> Catonano, ng0,
>
> Can you tell whether this bug still applies?
>
>   https://bugs.gnu.org/25689
>
> TIA,
> Ludo'.

Closing this stale bug report.  Feel free to open a new one if you can
still reproduce it.

Thank you,

Maxim

Subject: gnome-shell segfaults
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sat, 11 Feb 2017 14:31:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

So, I am not 100% sure if I encouter hardware failures or software
failures here. But I need to solve wether this is a GNOME bug to exclude
or include the hardware failure.

The following is the log output of a session with SSDM where I
succesfully log into "GNOME with Xorg" and launch the GNOME-Terminal
after I logged into GNOME.

The visual side of the log can be described like this: I can see how
the terminal application opens, but just a milisecond after it's ready I
see the window decoration disappearing, content of the application
stays, GNOME session crashes, on a dark scree I see for a moment:

vmunix: [  226.579414] nouveau 0000:01:00.0: DRM: 0xD4A7: Parsing digital output script table

and I get thrown back to the log in screen of SDDM.

Occasionally gnome-terminal or some other gnome part would crash my
gnome session when I still used SLIM.

This is on commit 883aab6462c49d4f4846a6f22168325e70227663
but has been happening for a very long time before this commit.

Feb 11 13:57:48 localhost dbus[383]: [system] Activating service name='org.freedesktop.GeoClue2' (using servicehelper)
Feb 11 13:57:48 localhost dbus[383]: [system] Activating service name='org.freedesktop.PolicyKit1' (using servicehelper)
Feb 11 13:57:48 localhost polkitd[597]: Started polkitd version 0.113
Feb 11 13:57:49 localhost dbus[383]: [system] Successfully activated service 'org.freedesktop.GeoClue2'
Feb 11 13:57:49 localhost dbus[383]: [system] Successfully activated service 'org.freedesktop.PolicyKit1'
Feb 11 13:57:49 localhost dbus[383]: [system] Activating service name='org.freedesktop.UDisks2' (using servicehelper)
Feb 11 13:57:49 localhost udisksd[613]: udisks daemon version 2.1.8 starting
Feb 11 13:57:49 localhost dbus[383]: [system] Successfully activated service 'org.freedesktop.UDisks2'
Feb 11 13:57:49 localhost udisksd[613]: Acquired the name org.freedesktop.UDisks2 on the system message bus
Feb 11 13:57:54 localhost dbus[383]: [system] Activating service name='org.freedesktop.ColorManager' (using servicehelper)
Feb 11 13:57:54 localhost colord: Using mapping database file /var/lib/colord/mapping.db
Feb 11 13:57:54 localhost colord: Using device database file /var/lib/colord/storage.db
Feb 11 13:57:55 localhost colord: loaded plugin libcd_plugin_sane.so
Feb 11 13:57:55 localhost colord: loaded plugin libcd_plugin_scanner.so
Feb 11 13:57:55 localhost colord: loaded plugin libcd_plugin_camera.so
Feb 11 13:57:55 localhost colord: Daemon ready for requests
Feb 11 13:57:55 localhost dbus[383]: [system] Successfully activated service 'org.freedesktop.ColorManager'
Feb 11 13:57:57 localhost colord: Profile added: icc-eafba23a0afcfa42e2911de0a71f00ec
Feb 11 13:58:01 localhost dbus[383]: [system] Activating service name='org.freedesktop.GeoClue2' (using servicehelper)
Feb 11 13:58:01 localhost dbus[383]: [system] Successfully activated service 'org.freedesktop.GeoClue2'
Feb 11 13:58:02 localhost colord: Device added: xrandr-Undefined-SyncMaster-H1AK500000
Feb 11 13:58:59 localhost vmunix: [  224.940546] ..gnome-shell-r[570]: segfault at 7f6b95898050 ip 00007f6b95898050 sp 00007ffdeb357998 error 15 in gschemas.compiled[7f6b95892000+9000]
Feb 11 13:58:59 localhost gnome-session-binary[508]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11 
Feb 11 13:59:00 localhost dbus[383]: [system] Activating service name='org.freedesktop.GeoClue2' (using servicehelper)
Feb 11 13:59:00 localhost dbus[383]: [system] Successfully activated service 'org.freedesktop.GeoClue2'
Feb 11 13:59:00 localhost vmunix: [  226.237119] ..gnome-shell-r[720]: segfault at 7f14c96c8050 ip 00007f14c96c8050 sp 00007ffe16832918 error 15 in gschemas.compiled[7f14c96c2000+9000]
Feb 11 13:59:00 localhost gnome-session-binary[508]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11 
Feb 11 13:59:00 localhost gnome-session-binary[508]: WARNING: App 'org.gnome.Shell.desktop' respawning too quickly 
Feb 11 13:59:00 localhost vmunix: [  226.381671] .gnome-session-[750]: segfault at 0 ip 00007f776cacfce9 sp 00007ffd770a9930 error 4 in libgtk-3.so.0.2200.6[7f776c7fa000+6ed000]

-- 
ng0 -- https://www.inventati.org/patternsinthechaos/